const docs = require('./docs')
const build = require('./build')
const publish = require('./publish')
const utils = require('../utils')

function integrate(source, destination, options) {
  docs(source, options)
    .then(() => build(source, destination, options))
    .then((pkg) => !options.zip ? publish(pkg, options) : '')
    .catch((err) => {
      utils.logger.error(err)
      process.exit(2)
    })
}

module.exports = integrate
