const path = require('path')

module.exports = {
  /**
   * 颜色设置
   */
  get chalk() {
    return require('chalk')
  },

  /**
   * 获取当前的包管理器，npm / yarn
   */
  get getPackageManager() {
    return require('./get-manager')
  },

  /**
   * 安装依赖
   */
  get installation() {
    return require('./installation')
  },

  /**
   * 日志打印
   */
  get logger() {
    return require('./logger')
  },

  /**
   * 检测依赖包是否存在
   */
  get packageExists() {
    return require('./package-exists')
  },

  /**
   * 解析到当前路径
   */
  get resolveCwd() {
    return function (dir) {
      return path.resolve(process.cwd(), dir)
    }
  },

  /**
   * 解析到根路径
   */
  get resolveDirname() {
    return function (dir) {
      return path.resolve(__dirname, '..', dir)
    }
  },

  /**
   * 运行指令
   */
  get runCommand() {
    return require('./run-command')
  }
}
