const utils = require('./index')

async function installation(packageName, preMessage) {
  const packageManager = utils.getPackageManager()

  if (!packageManager) {
    process.exit(2)
  }

  if (preMessage) {
    preMessage()
  }

  // yarn uses 'add' command, rest npm and pnpm both use 'install'
  const commandToBeRun = `${packageManager} ${[
    packageManager === 'yarn' ? 'add' : 'install',
    '-D',
    packageName
  ].join(' ')}`

  try {
    await utils.runCommand(commandToBeRun)
  } catch (error) {
    process.exit(2)
  }

  process.exit(2)
}

module.exports = installation
